Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.modules.kegg.type
Class Compound

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.standard.type.BaseSupport
                        |
                        +--biouml.standard.type.GenericEntity
                              |
                              +--biouml.standard.type.Referrer
                                    |
                                    +--biouml.standard.type.Molecule
                                          |
                                          +--biouml.standard.type.Substance
                                                |
                                                +--biouml.modules.kegg.type.Compound

public class Compound
extends Substance

Stub

Constructor Summary
`Compound(DataCollection origin, String name)`

Method Summary
`String` | `getDbLinks()`
`String` | `getEnzyme()`
`String` | `getFormula()`
`String` | `getNames()`
`String` | `getPathway()`
`void` | `setDbLinks(String dblinks)`
`void` | `setEnzyme(String enzyme)`
`void` | `setFormula(String formula)`
`void` | `setNames(String names)`
`void` | `setPathway(String pathway)`

Methods inherited from class biouml.standard.type.Substance
`getType`

Methods inherited from class biouml.standard.type.Molecule
`getCompleteName, getShortName, getSynonims, getTitle, setCompleteName, setShortName, setSynonims`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getLiteratureReferences, setDatabaseReferences, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Compound

    public Compound(DataCollection origin, String name)

Method Detail

### getDbLinks

    public String getDbLinks()

### getEnzyme

    public String getEnzyme()

### getFormula

    public String getFormula()

### getNames

    public String getNames()

### getPathway

    public String getPathway()

### setDbLinks

    public void setDbLinks(String dblinks)

### setEnzyme

    public void setEnzyme(String enzyme)

### setFormula

    public void setFormula(String formula)

### setNames

    public void setNames(String names)

### setPathway

    public void setPathway(String pathway)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM